Loading...
Searching...
No Matches
Range< 2, T > Class Template Reference

`#include <nanovdb/util/Range.h>`

## Public Types

using | size_type = typename Range<1, T>::size_type

## Public Member Functions

| Range (const Range< 1, T > &rangeRow, const Range< 1, T > &rangeCol)
| Range (T beginRow, T endRow, size_type grainsizeRow, T beginCol, T endCol, size_type grainsizeCol)
| Range (T beginRow, T endRow, T beginCol, T endCol)
| Range (Range &r, Split)
bool | operator== (const Range &rhs) const
bool | empty () const
bool | is_divisible () const
const Range< 1, T > & | operator[] (int i) const

## Member Typedef Documentation

## size_type

template<typename T>

using size_type = typename Range<1, T>::size_type

## Constructor & Destructor Documentation

## Range() [1/4]

template<typename T>

Range | ( | const Range< 1, T > & | rangeRow,
|  | const Range< 1, T > & | rangeCol )

inline

## Range() [2/4]

template<typename T>

Range | ( | T | beginRow,
|  | T | endRow,
|  | size_type | grainsizeRow,
|  | T | beginCol,
|  | T | endCol,
|  | size_type | grainsizeCol )

inline

## Range() [3/4]

template<typename T>

Range | ( | T | beginRow,
|  | T | endRow,
|  | T | beginCol,
|  | T | endCol )

inline

## Range() [4/4]

template<typename T>

Range | ( | Range< 2, T > & | r,
|  | Split | )

inline

## Member Function Documentation

## empty()

template<typename T>

bool empty | ( |  | ) | const

inline

## is_divisible()

template<typename T>

bool is_divisible | ( |  | ) | const

inline

## operator==()

template<typename T>

bool operator== | ( | const Range< 2, T > & | rhs | ) | const

inline

## operator[]()

template<typename T>

const Range< 1, T > & operator[] | ( | int | i | ) | const

inline